---
title: Get a Synthetics downtime
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Synthetics
---

# Get a Synthetics downtime{% #get-a-synthetics-downtime %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                |
| ----------------- | --------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/synthetics/downtimes/{downtime_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/synthetics/downtimes/{downtime_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/synthetics/downtimes/{downtime_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/synthetics/downtimes/{downtime_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/synthetics/downtimes/{downtime_id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/synthetics/downtimes/{downtime_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/synthetics/downtimes/{downtime_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/synthetics/downtimes/{downtime_id} |

### Overview

Get a Synthetics downtime by its ID. This endpoint requires the `synthetics_read` permission.

### Arguments

#### Path Parameters

| Name                          | Type   | Description                         |
| ----------------------------- | ------ | ----------------------------------- |
| downtime_id [*required*] | string | The ID of the downtime to retrieve. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a single Synthetics downtime.

| Parent field | Field                           | Type      | Description                                                                                                                                                                                 |
| ------------ | ------------------------------- | --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]          | object    | A Synthetics downtime object.                                                                                                                                                               |
| data         | attributes [*required*]    | object    | Attributes of a Synthetics downtime response object.                                                                                                                                        |
| attributes   | createdAt [*required*]     | date-time | The timestamp when the downtime was created.                                                                                                                                                |
| attributes   | createdBy [*required*]     | string    | The UUID of the user who created the downtime.                                                                                                                                              |
| attributes   | createdByName [*required*] | string    | The display name of the user who created the downtime.                                                                                                                                      |
| attributes   | description [*required*]   | string    | The description of the downtime.                                                                                                                                                            |
| attributes   | isEnabled [*required*]     | boolean   | Whether the downtime is enabled.                                                                                                                                                            |
| attributes   | name [*required*]          | string    | The name of the downtime.                                                                                                                                                                   |
| attributes   | tags [*required*]          | [string]  | List of tags associated with a Synthetics downtime.                                                                                                                                         |
| attributes   | testIds [*required*]       | [string]  | List of Synthetics test public IDs associated with a downtime.                                                                                                                              |
| attributes   | timeSlots [*required*]     | [object]  | List of time slots in a Synthetics downtime response.                                                                                                                                       |
| timeSlots    | duration [*required*]      | int64     | The duration of the time slot in seconds.                                                                                                                                                   |
| timeSlots    | id [*required*]            | string    | The unique identifier of the time slot.                                                                                                                                                     |
| timeSlots    | name                            | string    | The label for the time slot.                                                                                                                                                                |
| timeSlots    | recurrence                      | object    | Recurrence settings returned in a Synthetics downtime time slot response.                                                                                                                   |
| recurrence   | frequency [*required*]     | enum      | The recurrence frequency of a Synthetics downtime time slot. Allowed enum values: `DAILY,WEEKLY,MONTHLY,YEARLY`                                                                             |
| recurrence   | interval [*required*]      | int64     | The interval between recurrences, relative to the frequency.                                                                                                                                |
| recurrence   | until                           | object    | A specific date and time used to define the start or end of a Synthetics downtime time slot.                                                                                                |
| until        | day [*required*]           | int64     | The day component of the date (1-31).                                                                                                                                                       |
| until        | hour [*required*]          | int64     | The hour component of the time (0-23).                                                                                                                                                      |
| until        | minute [*required*]        | int64     | The minute component of the time (0-59).                                                                                                                                                    |
| until        | month [*required*]         | int64     | The month component of the date (1-12).                                                                                                                                                     |
| until        | year [*required*]          | int64     | The year component of the date.                                                                                                                                                             |
| recurrence   | weekdayPositions                | [integer] | Positions of the weekdays within a month for a monthly Synthetics downtime recurrence. Used in combination with `weekdays` to schedule occurrences such as "the first Monday of the month". |
| recurrence   | weekdays [*required*]      | [string]  | Days of the week for a Synthetics downtime recurrence schedule.                                                                                                                             |
| timeSlots    | start [*required*]         | object    | A specific date and time used to define the start or end of a Synthetics downtime time slot.                                                                                                |
| start        | day [*required*]           | int64     | The day component of the date (1-31).                                                                                                                                                       |
| start        | hour [*required*]          | int64     | The hour component of the time (0-23).                                                                                                                                                      |
| start        | minute [*required*]        | int64     | The minute component of the time (0-59).                                                                                                                                                    |
| start        | month [*required*]         | int64     | The month component of the date (1-12).                                                                                                                                                     |
| start        | year [*required*]          | int64     | The year component of the date.                                                                                                                                                             |
| timeSlots    | timezone [*required*]      | string    | The IANA timezone name for the time slot.                                                                                                                                                   |
| attributes   | updatedAt [*required*]     | date-time | The timestamp when the downtime was last updated.                                                                                                                                           |
| attributes   | updatedBy [*required*]     | string    | The UUID of the user who last updated the downtime.                                                                                                                                         |
| attributes   | updatedByName [*required*] | string    | The display name of the user who last updated the downtime.                                                                                                                                 |
| data         | id [*required*]            | string    | The unique identifier of the downtime.                                                                                                                                                      |
| data         | type [*required*]          | enum      | The resource type for a Synthetics downtime. Allowed enum values: `downtime`                                                                                                                |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "createdAt": "2024-01-15T10:30:00Z",
      "createdBy": "00000000-0000-0000-0000-000000000003",
      "createdByName": "Jane Doe",
      "description": "Scheduled weekly maintenance window.",
      "isEnabled": true,
      "name": "Weekly maintenance",
      "tags": [
        "team:backend",
        "env:prod"
      ],
      "testIds": [
        "abc-def-123",
        "xyz-uvw-456"
      ],
      "timeSlots": [
        {
          "duration": 3600,
          "id": "00000000-0000-0000-0000-000000000002",
          "name": "Weekly maintenance window",
          "recurrence": {
            "frequency": "WEEKLY",
            "interval": 1,
            "until": {
              "day": 15,
              "hour": 10,
              "minute": 30,
              "month": 1,
              "year": 2024
            },
            "weekdayPositions": [
              1
            ],
            "weekdays": [
              "MO",
              "WE",
              "FR"
            ]
          },
          "start": {
            "day": 15,
            "hour": 10,
            "minute": 30,
            "month": 1,
            "year": 2024
          },
          "timezone": "Europe/Paris"
        }
      ],
      "updatedAt": "2024-01-15T10:30:00Z",
      "updatedBy": "00000000-0000-0000-0000-000000000003",
      "updatedByName": "Jane Doe"
    },
    "id": "00000000-0000-0000-0000-000000000001",
    "type": "downtime"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export downtime_id="00000000-0000-0000-0000-000000000001" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/synthetics/downtimes/${downtime_id}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Get a Synthetics downtime returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.synthetics_api import SyntheticsApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = SyntheticsApi(api_client)
    response = api_instance.get_synthetics_downtime(
        downtime_id="00000000-0000-0000-0000-000000000001",
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Get a Synthetics downtime returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::SyntheticsAPI.new
p api_instance.get_synthetics_downtime("00000000-0000-0000-0000-000000000001")
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Get a Synthetics downtime returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewSyntheticsApi(apiClient)
	resp, r, err := api.GetSyntheticsDowntime(ctx, "00000000-0000-0000-0000-000000000001")

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `SyntheticsApi.GetSyntheticsDowntime`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `SyntheticsApi.GetSyntheticsDowntime`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Get a Synthetics downtime returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.SyntheticsApi;
import com.datadog.api.client.v2.model.SyntheticsDowntimeResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    SyntheticsApi apiInstance = new SyntheticsApi(defaultClient);

    try {
      SyntheticsDowntimeResponse result =
          apiInstance.getSyntheticsDowntime("00000000-0000-0000-0000-000000000001");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling SyntheticsApi#getSyntheticsDowntime");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Get a Synthetics downtime returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_synthetics::SyntheticsAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = SyntheticsAPI::with_config(configuration);
    let resp = api
        .get_synthetics_downtime("00000000-0000-0000-0000-000000000001".to_string())
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Get a Synthetics downtime returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.SyntheticsApi(configuration);

const params: v2.SyntheticsApiGetSyntheticsDowntimeRequest = {
  downtimeId: "00000000-0000-0000-0000-000000000001",
};

apiInstance
  .getSyntheticsDowntime(params)
  .then((data: v2.SyntheticsDowntimeResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
